Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class DesignListContents

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup
          net.sf.jasperreports.engine.design.JRDesignElementGroup
              net.sf.jasperreports.components.list.DesignListContents

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ListContents, JRChangeEventsSupport, JRChild, JRCloneable, JRElementGroup, JRVisitable

    public class DesignListContents

extends JRDesignElementGroup
implements ListContents

`ListContents` implementation used at report design time.

Version:
  $Id: DesignListContents.java 3676 2010-04-02 09:35:07Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_HEIGHT`
`static java.lang.String` | `PROPERTY_WIDTH`

Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementGroup
`PROPERTY_CHILDREN, PROPERTY_ELEMENT_GROUP`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`children, elementGroup`

Constructor Summary
`DesignListContents()`

Method Summary
`int` | `getHeight()` Returns the height of the list contents.
`java.lang.Integer` | `getWidth()` Returns the width of the list contents.
`void` | `setHeight(int height)` Sets the list contents height.
`void` | `setWidth(int width)` Sets the width of the list contents.
`void` | `setWidth(java.lang.Integer width)` Sets the width of the list contents.

Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementGroup
`addElement, addElement, addElementGroup, addElementGroup, getEventSupport, removeElement, removeElementGroup, setElementGroup`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`clone, clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_HEIGHT

    public static final java.lang.String PROPERTY_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_WIDTH

    public static final java.lang.String PROPERTY_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### DesignListContents

    public DesignListContents()

Method Detail

### getHeight

    public int getHeight()

  Description copied from interface: `ListContents`
  Returns the height of the list contents.

  This value is used as a minimum list item height: if the space left on the page is smaller than the height, then an overflow is triggered and the list item is printed on a new page/column.

  Specified by:
    `getHeight` in interface `ListContents`
  Returns:
    the height of the list contents

### setHeight

    public void setHeight(int height)

  Sets the list contents height.

  Parameters:
    `height` - the list contents height
  See Also:
    `getHeight()`

### getWidth

    public java.lang.Integer getWidth()

  Description copied from interface: `ListContents`
  Returns the width of the list contents.

  When the list is filled horizontally, several list cells will be placed on the same row one next to another within the width of the list element (unless the list element width is ignored). The width of the list contents will determine how many cells can be placed on a row.

  Specified by:
    `getWidth` in interface `ListContents`
  Returns:
    the width of the list contents
  See Also:
    `ListComponent.getPrintOrder()`, `ListComponent.getIgnoreWidth()`

### setWidth

    public void setWidth(java.lang.Integer width)

  Sets the width of the list contents.

  Parameters:
    `width` - the list contents width
  See Also:
    `getWidth()`

### setWidth

    public void setWidth(int width)

  Sets the width of the list contents.

  Parameters:
    `width` - the list contents width
  See Also:
    `getWidth()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com